## com.thingmagic
Class BluecoveBluetoothReflection

    java.lang.Object
      com.thingmagic.BluecoveBluetoothReflection

    public class BluecoveBluetoothReflection

extends java.lang.Object

Constructor Summary
`BluecoveBluetoothReflection()`

Method Summary
`static java.lang.Object` `connectToBluetoothSocket(java.lang.Class connectorClass, java.lang.String serviceUrl)` Invokes the method `javax.microedition.io.Connector#open`.
`static java.io.InputStream` `getInputStream(java.lang.Class inputConnectorClass, java.lang.Object bluetoothConnection)` Invokes the method `javax.microedition.io.InputConnection#openInputStream`.
`static java.lang.reflect.Method` `getMethod(java.lang.Class clazz, java.lang.String name, java.lang.Class<?>... parameterTypes)`
`static java.io.OutputStream` `getOutputStream(java.lang.Class outputConnectorClass, java.lang.Object bluetoothConnection)` Invokes the method `javax.microedition.io.OutputConnection#openOutputStream`.
`static java.lang.Object` `invokeMethod(java.lang.reflect.Method method, java.lang.Object thisObject, java.lang.Object... args)`
`static java.lang.Object` `invokeMethodThrowsIllegalArgumentException(java.lang.reflect.Method method, java.lang.Object thisObject, java.lang.Object... args)`
`static java.lang.Object` `invokeMethodThrowsIOException(java.lang.reflect.Method method, java.lang.Object thisObject, java.lang.Object... args)`
`static java.lang.Object` `invokeStaticMethod(java.lang.reflect.Method method)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BluecoveBluetoothReflection

    public BluecoveBluetoothReflection()

Method Detail

### connectToBluetoothSocket

    public static java.lang.Object connectToBluetoothSocket(java.lang.Class connectorClass,
                                                            java.lang.String serviceUrl)
                                                     throws java.lang.Exception

  Invokes the method `javax.microedition.io.Connector#open`.

  Parameters:
    `bluetoothConnector` - a `javax.microedition.io.Connector` object
    `serviceUrl` - a `java.Land.String` object
  Throws:
    `java.lang.Exception`

### getInputStream

    public static java.io.InputStream getInputStream(java.lang.Class inputConnectorClass,
                                                     java.lang.Object bluetoothConnection)
                                              throws java.io.IOException

  Invokes the method `javax.microedition.io.InputConnection#openInputStream`.

  Parameters:
    `inputConnectorClass` - a `javax.microedition.io.InputConnection` class
    `bluetoothConnection` - a `javax.microedition.io.Connector` object
  Returns:
    the `InputStream`
  Throws:
    `java.io.IOException`

### getOutputStream

    public static java.io.OutputStream getOutputStream(java.lang.Class outputConnectorClass,
                                                       java.lang.Object bluetoothConnection)
                                                throws java.io.IOException

  Invokes the method `javax.microedition.io.OutputConnection#openOutputStream`.

  Parameters:
    `outputConnectorClass` - a `javax.microedition.io.OutputConnection` class
    `bluetoothConnection` - a `javax.microedition.io.Connector` object
  Returns:
    the `OutputStream`
  Throws:
    `java.io.IOException`

### getMethod

    public static java.lang.reflect.Method getMethod(java.lang.Class clazz,
                                                     java.lang.String name,
                                                     java.lang.Class<?>... parameterTypes)

### invokeStaticMethod

    public static java.lang.Object invokeStaticMethod(java.lang.reflect.Method method)

### invokeMethod

    public static java.lang.Object invokeMethod(java.lang.reflect.Method method,
                                                java.lang.Object thisObject,
                                                java.lang.Object... args)

### invokeMethodThrowsIllegalArgumentException

    public static java.lang.Object invokeMethodThrowsIllegalArgumentException(java.lang.reflect.Method method,
                                                                              java.lang.Object thisObject,
                                                                              java.lang.Object... args)
                                                                       throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### invokeMethodThrowsIOException

    public static java.lang.Object invokeMethodThrowsIOException(java.lang.reflect.Method method,
                                                                 java.lang.Object thisObject,
                                                                 java.lang.Object... args)
                                                          throws java.io.IOException

  Throws:
    `java.io.IOException`